import type { Prisma } from '../../generated/prisma';
import * as z from 'zod';
import { CommissionBatchIncludeObjectSchema as CommissionBatchIncludeObjectSchema } from './objects/CommissionBatchInclude.schema';
import { CommissionBatchOrderByWithRelationInputObjectSchema as CommissionBatchOrderByWithRelationInputObjectSchema } from './objects/CommissionBatchOrderByWithRelationInput.schema';
import { CommissionBatchWhereInputObjectSchema as CommissionBatchWhereInputObjectSchema } from './objects/CommissionBatchWhereInput.schema';
import { CommissionBatchWhereUniqueInputObjectSchema as CommissionBatchWhereUniqueInputObjectSchema } from './objects/CommissionBatchWhereUniqueInput.schema';
import { CommissionBatchScalarFieldEnumSchema } from './enums/CommissionBatchScalarFieldEnum.schema';

// Select schema needs to be in file to prevent circular imports
//------------------------------------------------------

export const CommissionBatchFindFirstOrThrowSelectSchema: z.ZodType<Prisma.CommissionBatchSelect> = z.object({
    id: z.boolean().optional(),
    npiProviderId: z.boolean().optional(),
    totalCollection: z.boolean().optional(),
    commissionAmount: z.boolean().optional(),
    notes: z.boolean().optional(),
    createdAt: z.boolean().optional(),
    npiProvider: z.boolean().optional(),
    items: z.boolean().optional(),
    _count: z.boolean().optional()
  }).strict() as unknown as z.ZodType<Prisma.CommissionBatchSelect>;

export const CommissionBatchFindFirstOrThrowSelectZodSchema = z.object({
    id: z.boolean().optional(),
    npiProviderId: z.boolean().optional(),
    totalCollection: z.boolean().optional(),
    commissionAmount: z.boolean().optional(),
    notes: z.boolean().optional(),
    createdAt: z.boolean().optional(),
    npiProvider: z.boolean().optional(),
    items: z.boolean().optional(),
    _count: z.boolean().optional()
  }).strict();

export const CommissionBatchFindFirstOrThrowSchema: z.ZodType<Prisma.CommissionBatchFindFirstOrThrowArgs> = z.object({ select: CommissionBatchFindFirstOrThrowSelectSchema.optional(), include: z.lazy(() => CommissionBatchIncludeObjectSchema.optional()), orderBy: z.union([CommissionBatchOrderByWithRelationInputObjectSchema, CommissionBatchOrderByWithRelationInputObjectSchema.array()]).optional(), where: CommissionBatchWhereInputObjectSchema.optional(), cursor: CommissionBatchWhereUniqueInputObjectSchema.optional(), take: z.number().optional(), skip: z.number().optional(), distinct: z.union([CommissionBatchScalarFieldEnumSchema, CommissionBatchScalarFieldEnumSchema.array()]).optional() }).strict() as unknown as z.ZodType<Prisma.CommissionBatchFindFirstOrThrowArgs>;

export const CommissionBatchFindFirstOrThrowZodSchema = z.object({ select: CommissionBatchFindFirstOrThrowSelectSchema.optional(), include: z.lazy(() => CommissionBatchIncludeObjectSchema.optional()), orderBy: z.union([CommissionBatchOrderByWithRelationInputObjectSchema, CommissionBatchOrderByWithRelationInputObjectSchema.array()]).optional(), where: CommissionBatchWhereInputObjectSchema.optional(), cursor: CommissionBatchWhereUniqueInputObjectSchema.optional(), take: z.number().optional(), skip: z.number().optional(), distinct: z.union([CommissionBatchScalarFieldEnumSchema, CommissionBatchScalarFieldEnumSchema.array()]).optional() }).strict();